Bug 905000 - RFE: RHQ fails to set JBOSS_PIDFILE and LAUNCH_JBOSS_IN_BACKGROUND when importing JBoss AS7
RFE: RHQ fails to set JBOSS_PIDFILE and LAUNCH_JBOSS_IN_BACKGROUND when impor...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.5
All All
unspecified Severity medium (vote)
: ---
: RHQ 4.6
Assigned To: RHQ Project Maintainer
Mike Foley
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-28 06:10 EST by Stian Lund
Modified: 2013-09-03 10:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 10:42:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stian Lund 2013-01-28 06:10:35 EST
Description of problem:
When importing a JBOss AS 7 (7.1.2) server RHQ fails to set the following environment variables in "Start Script Environment Variables" under "Connection Settings":

LAUNCH_JBOSS_IN_BACKGROUND
JBOSS_PIDFILE

These are necessary for creation of a pid-file when starting JBoss from RHQ.

Version-Release number of selected component (if applicable):
RHQ v 4.5.1
JBoss AS (CE) v 7.1.2
RHEL 6.3

How reproducible:
Very.

Steps to Reproduce:
1. Launch a jboss AS7 instance with LAUNCH_JBOSS_IN_BACKGROUND and JBOSS_PIDFILE set in environment.
2. Use RHQ to discover and import this server instance.
3. Shutdown server then start it through RHQ Operations.
  
Actual results:
PID-file is not created.

Expected results:
Would not expect pid-file creation since variables are not set.

Additional info:

Creation of PID-file is important for using shutdown init-scripts, for instance when doing a shutdown of server. Also for operations the pid-file is useful to check pid of a process.
Comment 1 Thomas Segismont 2013-01-29 08:51:03 EST
LAUNCH_JBOSS_IN_BACKGROUND and JBOSS_PIDFILE were not in the list of recognized environment variables.

Note that for environment variables to be discovered and added to the "Start Script Environment Variables" field in the "Inventory > Connection Settings" tab, they must have been exported in the shell/script calling the AS7 start script.

Fixed in master 3e15d81
Comment 2 Heiko W. Rupp 2013-09-03 10:42:11 EDT
Bulk closing of issues in old RHQ releases that are in production for a while now.

Please open a new issue when running into an issue.

Note You need to log in before you can comment on or make changes to this bug.